Skip to content

Delete A Specific Customer

Request

Deletes the customer record with the given id. This cannot be undone.

Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
use_third_party_idboolean

When set to true (e.g. 'true') the :id argument is taken to be the job's third party id instead of the job's normal id.

Example:use_third_party_id=true
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
DELETE
/v5/customers/{id}.xml
curl -i -X DELETE \
  'https://api.vworkapp.com/v5/customers/{id}.xml?api_key=string&use_third_party_id=true&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"no-cache"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:05:38 GMT"
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"c868c52b-ac15-45c7-ac8b-81faf18882ac"
X-Runtimestring
Example:"0.372504"
X-Unique-IDstring
Example:"CA7C7B8A:CC3A_0A001312:01BB_575F3C34_6D66C5:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"